Unable to install mongodb on ubuntu 16.04

August 15, 2016 443 views
MongoDB Node.js Ubuntu 16.04


I am trying to install mongodb on ubuntu 16.04 as per steps given in this link :

When I run this command it gives following message :

But its failing on the step 2 - "Installing and Verifying MongoDB".

Some packages could not be installed bla bla bla. ....

The following packages have unmet dependencies.

mongodb-org : Depends : mongodb-org-tools but it is not going to be installed.

E: Unable to correct problems, you have help broken packages.

Can some one help me get through this. I have a screen shot of console. Let me know if you want me to send via email.

1 comment
  • Hello guys, I was able to install mongodb with one click droplet. So would like to close this loop. Thank you all for your helpful tips.

2 Answers

You didn't follow all the steps that are a part of "Step 1" on that tutorial.

  • Hey Woet,

    Thanks for your prompt reply. I did follow all the steps from Step 1, but am doubtful about this step from step 1.

    echo "deb http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.2 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-3.2.list

    I am not sure if it ran properly or not and that might be causing this issue. Please advise.

    • Just reinstall your droplet through the panel, run all the commands of step 1 and copy/paste the commands + output here.

      • Reinstalling means destroying the droplet first and creating new one. Is that what you are suggesting ? or there is another way of reinstalling it ?

Have another answer? Share your knowledge.